RBLCHECK(1)

NAME
rblcheck - check if an IP address is blacklisted

SYNOPSIS
rblcheck [-qtlcvh?] [-s <service>] <address> [ <address> ... ]

DESCRIPTION

rblcheck is a very basic interface to DNSBL listings such as those operated by The Spamhaus Project or Spamcop.

The general idea behind DNSBL listings is rapid lookup of IP addresses using DNS (for example, for blacklisting IP addresses because of abuse). Each IP address is reversed and has a domain name attached to it; for example, the IP address 127.0.0.2 would become 2.0.0.127, and then a domain such as "relays.visi.com" would be added to it. You would then try to resolve the result (ie. 2.0.0.127.relays.visi.com); if you receive a positive reply, then you know that the address is listed. Further information can also be queried, such as text descriptions of why the address was listed.

OPTIONS

-q  Quiet mode; outputs only matching IP address(es) - use return code (see below).

-t  Print a TXT record, if any.

-m  Stop checking after first address match in any list.

-l  List default DNSBL services to check.

-c  Clear the current list of DNSBL services.

-s <service>
    Toggle service in the DNSBL list.

-h, -?
    Display the help message.

-v  Display version information.

<address>
    An IP address to look up; specify `-' to read multiple addresses from standard input.

RETURN CODES
When invoked, rblcheck returns either 0 (to indicate error, or that the address was not in any of the listings), or a positive number (indicating the number of listings that the IP address was found in).

SEE ALSO
/usr/share/doc/rblcheck/, esp. /usr/share/doc/rblcheck/rblcheck.txt.gz

COPYRIGHT
Copyright © 1997, 1998, 1999, 2000, 2001 Edward S. Marshall

Man page created for the Debian Project with the help of help2man(1) based on the output of `rblcheck -h` and the above mentioned text file by Gregor Herrmann <gregor+debian@comodo.priv.at>.